Bug 243973 - ja menubar font/encoding problem
Summary: ja menubar font/encoding problem
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ville Skyttä
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-13 05:36 UTC by Jens Petersen
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 07:37:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2007-06-13 05:36:15 UTC
Description of problem:
If the latest xemacs in fedora devel is run in ja_JP.UTF-8
the menubar is full of boxes and garbage.

Version-Release number of selected component (if applicable):
xemacs-packages-extra-20070427-1.fc8

How reproducible:
every time

Steps to Reproduce:
1. LANG=ja_JP.UTF-8 xemacs
  
Actual results:
Menubar is has many corrupted characters.

Expected results:
Menubar to disable normally (in English or Japanese)

Additional info:
In F7 the menu displays normally in English.

With LANG set to ja_JP (or equivalently ja_JP.eucJP) the menubar
displays correctly in Japanese (though it is not 100% translated),
so it is probably a font/encoding problem.  Maybe a Japanese unicode
bitmap font is required to display it correctly in ja_JP.UTF-8?

If it is hard to fix then I think just reverting to the English menu would
be better.

Comment 1 Ville Skyttä 2007-06-14 20:38:03 UTC
Curiously, on F7 x86_64 with 21.5.28-2.fc7, the menu bar with LANG=ja_JP.UTF-8
is garbage for me no matter if xemacs-packages-extra-20061221-1.fc7 or
20070427-1.fc8 from Rawhide is installed.

Are you running 21.5.28 on both F-7 and Rawhide?  See also bug 145931, perhaps
related?  But then again, we now do build with xfontset support, dunno if
--without-xfs would make any difference.

Comment 2 Jens Petersen 2007-06-15 01:48:57 UTC
No, I was still running xemacs-21.5.27-8.fc7.x86_64.
You're quite right I see it also with xemacs-21.5.28-2.fc7.x86_64.

Comment 3 Jens Petersen 2007-09-19 07:37:52 UTC
With xemacs the menubar is now in English which I think is fine
for most users.

xemacs-21.5.28-5.fc8


Note You need to log in before you can comment on or make changes to this bug.